hpp-fcl: boost::serialization Namespace Reference

hpp-fcl 1.7.0 HPP fork of FCL -- The Flexible Collision Library

Namespaces | Functions
boost::serialization Namespace Reference

## Namespaces
| internal

## Functions
template<class Archive >
void | serialize (Archive &ar, hpp::fcl::AABB &aabb, const unsigned int)
template<class Archive >
void | serialize (Archive &ar, hpp::fcl::BVNodeBase &node, const unsigned int)
template<class Archive , typename BV >
void | serialize (Archive &ar, hpp::fcl::BVNode< BV > &node, const unsigned int)
template<class Archive , typename BV >
void | save (Archive &ar, const hpp::fcl::BVSplitter< BV > &splitter_, const unsigned int)
template<class Archive , typename BV >
void | load (Archive &ar, hpp::fcl::BVSplitter< BV > &splitter_, const unsigned int)
template<class Archive >
void | serialize (Archive &ar, hpp::fcl::Triangle &triangle, const unsigned int)
template<class Archive >
void | save (Archive &ar, const hpp::fcl::BVHModelBase &bvh_model, const unsigned int)
template<class Archive >
void | load (Archive &ar, hpp::fcl::BVHModelBase &bvh_model, const unsigned int)
template<class Archive >
void | serialize (Archive &ar, hpp::fcl::BVHModelBase &value, const unsigned int version)
template<class Archive , typename BV >
void | serialize (Archive &ar, hpp::fcl::BVHModel< BV > &bvh_model, const unsigned int version)
template<class Archive , typename BV >
void | save (Archive &ar, const hpp::fcl::BVHModel< BV > &bvh_model_, const unsigned int)
template<class Archive , typename BV >
void | load (Archive &ar, hpp::fcl::BVHModel< BV > &bvh_model_, const unsigned int)
template<class Archive >
void | save (Archive &ar, const hpp::fcl::Contact &contact, const unsigned int)
template<class Archive >
void | load (Archive &ar, hpp::fcl::Contact &contact, const unsigned int)
template<class Archive >
void | serialize (Archive &ar, hpp::fcl::Contact &value, const unsigned int version)
template<class Archive >
void | serialize (Archive &ar, hpp::fcl::QueryRequest &query_request, const unsigned int)
template<class Archive >
void | serialize (Archive &ar, hpp::fcl::QueryResult &query_result, const unsigned int)
template<class Archive >
void | serialize (Archive &ar, hpp::fcl::CollisionRequest &collision_request, const unsigned int)
template<class Archive >
void | save (Archive &ar, const hpp::fcl::CollisionResult &collision_result, const unsigned int)
template<class Archive >
void | load (Archive &ar, hpp::fcl::CollisionResult &collision_result, const unsigned int)
template<class Archive >
void | serialize (Archive &ar, hpp::fcl::CollisionResult &value, const unsigned int version)
template<class Archive >
void | serialize (Archive &ar, hpp::fcl::DistanceRequest &distance_request, const unsigned int)
template<class Archive >
void | save (Archive &ar, const hpp::fcl::DistanceResult &distance_result, const unsigned int)
template<class Archive >
void | load (Archive &ar, hpp::fcl::DistanceResult &distance_result, const unsigned int)
template<class Archive >
void | serialize (Archive &ar, hpp::fcl::DistanceResult &value, const unsigned int version)
template<class Archive >
void | save (Archive &ar, const hpp::fcl::CollisionGeometry &collision_geometry, const unsigned int)
template<class Archive >
void | load (Archive &ar, hpp::fcl::CollisionGeometry &collision_geometry, const unsigned int)
template<class Archive >
void | serialize (Archive &ar, hpp::fcl::CollisionGeometry &value, const unsigned int version)
template<class Archive , typename Scalar , int Rows, int Cols, int Options, int MaxRows, int MaxCols>
void | save (Archive &ar, const Eigen::Matrix< Scalar, Rows, Cols, Options, MaxRows, MaxCols > &m, const unsigned int)
template<class Archive , typename Scalar , int Rows, int Cols, int Options, int MaxRows, int MaxCols>
void | load (Archive &ar, Eigen::Matrix< Scalar, Rows, Cols, Options, MaxRows, MaxCols > &m, const unsigned int)
template<class Archive , typename Scalar , int Rows, int Cols, int Options, int MaxRows, int MaxCols>
void | serialize (Archive &ar, Eigen::Matrix< Scalar, Rows, Cols, Options, MaxRows, MaxCols > &m, const unsigned int version)
template<class Archive , typename PlainObjectBase , int MapOptions, typename StrideType >
void | save (Archive &ar, const Eigen::Map< PlainObjectBase, MapOptions, StrideType > &m, const unsigned int)
template<class Archive , typename PlainObjectBase , int MapOptions, typename StrideType >
void | load (Archive &ar, Eigen::Map< PlainObjectBase, MapOptions, StrideType > &m, const unsigned int)
template<class Archive , typename PlainObjectBase , int MapOptions, typename StrideType >
void | serialize (Archive &ar, Eigen::Map< PlainObjectBase, MapOptions, StrideType > &m, const unsigned int version)
template<class Archive >
void | serialize (Archive &ar, hpp::fcl::OBB &bv, const unsigned int)
template<class Archive >
void | serialize (Archive &ar, hpp::fcl::OBBRSS &bv, const unsigned int)
template<class Archive >
void | serialize (Archive &ar, hpp::fcl::RSS &bv, const unsigned int)

## Function Documentation

## ◆ load() [1/9]

template<class Archive , typename PlainObjectBase , int MapOptions, typename StrideType >

void boost::serialization::load | ( | Archive & | ar,
|  | Eigen::Map< PlainObjectBase, MapOptions, StrideType > & | m,
|  | const unsigned int |
| ) |  |

## ◆ load() [2/9]

template<class Archive , typename Scalar , int Rows, int Cols, int Options, int MaxRows, int MaxCols>

void boost::serialization::load | ( | Archive & | ar,
|  | Eigen::Matrix< Scalar, Rows, Cols, Options, MaxRows, MaxCols > & | m,
|  | const unsigned int |
| ) |  |

## ◆ load() [3/9]

template<class Archive , typename BV >

void boost::serialization::load | ( | Archive & | ar,
|  | hpp::fcl::BVHModel< BV > & | bvh_model_,
|  | const unsigned int |
| ) |  |

## ◆ load() [4/9]

template<class Archive >

void boost::serialization::load | ( | Archive & | ar,
|  | hpp::fcl::BVHModelBase & | bvh_model,
|  | const unsigned int |
| ) |  |

## ◆ load() [5/9]

template<class Archive , typename BV >

void boost::serialization::load | ( | Archive & | ar,
|  | hpp::fcl::BVSplitter< BV > & | splitter_,
|  | const unsigned int |
| ) |  |

## ◆ load() [6/9]

template<class Archive >

void boost::serialization::load | ( | Archive & | ar,
|  | hpp::fcl::CollisionGeometry & | collision_geometry,
|  | const unsigned int |
| ) |  |

## ◆ load() [7/9]

template<class Archive >

void boost::serialization::load | ( | Archive & | ar,
|  | hpp::fcl::CollisionResult & | collision_result,
|  | const unsigned int |
| ) |  |

## ◆ load() [8/9]

template<class Archive >

void boost::serialization::load | ( | Archive & | ar,
|  | hpp::fcl::Contact & | contact,
|  | const unsigned int |
| ) |  |

## ◆ load() [9/9]

template<class Archive >

void boost::serialization::load | ( | Archive & | ar,
|  | hpp::fcl::DistanceResult & | distance_result,
|  | const unsigned int |
| ) |  |

## ◆ save() [1/9]

template<class Archive , typename PlainObjectBase , int MapOptions, typename StrideType >

void boost::serialization::save | ( | Archive & | ar,
|  | const Eigen::Map< PlainObjectBase, MapOptions, StrideType > & | m,
|  | const unsigned int |
| ) |  |

## ◆ save() [2/9]

template<class Archive , typename Scalar , int Rows, int Cols, int Options, int MaxRows, int MaxCols>

void boost::serialization::save | ( | Archive & | ar,
|  | const Eigen::Matrix< Scalar, Rows, Cols, Options, MaxRows, MaxCols > & | m,
|  | const unsigned int |
| ) |  |

## ◆ save() [3/9]

template<class Archive , typename BV >

void boost::serialization::save | ( | Archive & | ar,
|  | const hpp::fcl::BVHModel< BV > & | bvh_model_,
|  | const unsigned int |
| ) |  |

## ◆ save() [4/9]

template<class Archive >

void boost::serialization::save | ( | Archive & | ar,
|  | const hpp::fcl::BVHModelBase & | bvh_model,
|  | const unsigned int |
| ) |  |

## ◆ save() [5/9]

template<class Archive , typename BV >

void boost::serialization::save | ( | Archive & | ar,
|  | const hpp::fcl::BVSplitter< BV > & | splitter_,
|  | const unsigned int |
| ) |  |

## ◆ save() [6/9]

template<class Archive >

void boost::serialization::save | ( | Archive & | ar,
|  | const hpp::fcl::CollisionGeometry & | collision_geometry,
|  | const unsigned int |
| ) |  |

## ◆ save() [7/9]

template<class Archive >

void boost::serialization::save | ( | Archive & | ar,
|  | const hpp::fcl::CollisionResult & | collision_result,
|  | const unsigned int |
| ) |  |

## ◆ save() [8/9]

template<class Archive >

void boost::serialization::save | ( | Archive & | ar,
|  | const hpp::fcl::Contact & | contact,
|  | const unsigned int |
| ) |  |

## ◆ save() [9/9]

template<class Archive >

void boost::serialization::save | ( | Archive & | ar,
|  | const hpp::fcl::DistanceResult & | distance_result,
|  | const unsigned int |
| ) |  |

## ◆ serialize() [1/19]

template<class Archive , typename PlainObjectBase , int MapOptions, typename StrideType >

void boost::serialization::serialize | ( | Archive & | ar,
|  | Eigen::Map< PlainObjectBase, MapOptions, StrideType > & | m,
|  | const unsigned int | version
| ) |  |

## ◆ serialize() [2/19]

template<class Archive , typename Scalar , int Rows, int Cols, int Options, int MaxRows, int MaxCols>

void boost::serialization::serialize | ( | Archive & | ar,
|  | Eigen::Matrix< Scalar, Rows, Cols, Options, MaxRows, MaxCols > & | m,
|  | const unsigned int | version
| ) |  |

## ◆ serialize() [3/19]

template<class Archive >

void boost::serialization::serialize | ( | Archive & | ar,
|  | hpp::fcl::AABB & | aabb,
|  | const unsigned int |
| ) |  |

## ◆ serialize() [4/19]

template<class Archive , typename BV >

void boost::serialization::serialize | ( | Archive & | ar,
|  | hpp::fcl::BVHModel< BV > & | bvh_model,
|  | const unsigned int | version
| ) |  |

## ◆ serialize() [5/19]

template<class Archive >

void boost::serialization::serialize | ( | Archive & | ar,
|  | hpp::fcl::BVHModelBase & | value,
|  | const unsigned int | version
| ) |  |

## ◆ serialize() [6/19]

template<class Archive , typename BV >

void boost::serialization::serialize | ( | Archive & | ar,
|  | hpp::fcl::BVNode< BV > & | node,
|  | const unsigned int |
| ) |  |

## ◆ serialize() [7/19]

template<class Archive >

void boost::serialization::serialize | ( | Archive & | ar,
|  | hpp::fcl::BVNodeBase & | node,
|  | const unsigned int |
| ) |  |

## ◆ serialize() [8/19]

template<class Archive >

void boost::serialization::serialize | ( | Archive & | ar,
|  | hpp::fcl::CollisionGeometry & | value,
|  | const unsigned int | version
| ) |  |

## ◆ serialize() [9/19]

template<class Archive >

void boost::serialization::serialize | ( | Archive & | ar,
|  | hpp::fcl::CollisionRequest & | collision_request,
|  | const unsigned int |
| ) |  |

## ◆ serialize() [10/19]

template<class Archive >

void boost::serialization::serialize | ( | Archive & | ar,
|  | hpp::fcl::CollisionResult & | value,
|  | const unsigned int | version
| ) |  |

## ◆ serialize() [11/19]

template<class Archive >

void boost::serialization::serialize | ( | Archive & | ar,
|  | hpp::fcl::Contact & | value,
|  | const unsigned int | version
| ) |  |

## ◆ serialize() [12/19]

template<class Archive >

void boost::serialization::serialize | ( | Archive & | ar,
|  | hpp::fcl::DistanceRequest & | distance_request,
|  | const unsigned int |
| ) |  |

## ◆ serialize() [13/19]

template<class Archive >

void boost::serialization::serialize | ( | Archive & | ar,
|  | hpp::fcl::DistanceResult & | value,
|  | const unsigned int | version
| ) |  |

## ◆ serialize() [14/19]

template<class Archive >

void boost::serialization::serialize | ( | Archive & | ar,
|  | hpp::fcl::OBB & | bv,
|  | const unsigned int |
| ) |  |

## ◆ serialize() [15/19]

template<class Archive >

void boost::serialization::serialize | ( | Archive & | ar,
|  | hpp::fcl::OBBRSS & | bv,
|  | const unsigned int |
| ) |  |

## ◆ serialize() [16/19]

template<class Archive >

void boost::serialization::serialize | ( | Archive & | ar,
|  | hpp::fcl::QueryRequest & | query_request,
|  | const unsigned int |
| ) |  |

## ◆ serialize() [17/19]

template<class Archive >

void boost::serialization::serialize | ( | Archive & | ar,
|  | hpp::fcl::QueryResult & | query_result,
|  | const unsigned int |
| ) |  |

## ◆ serialize() [18/19]

template<class Archive >

void boost::serialization::serialize | ( | Archive & | ar,
|  | hpp::fcl::RSS & | bv,
|  | const unsigned int |
| ) |  |

## ◆ serialize() [19/19]

template<class Archive >

void boost::serialization::serialize | ( | Archive & | ar,
|  | hpp::fcl::Triangle & | triangle,
|  | const unsigned int |
| ) |  |